RAISE(3)

NAME
raise - send a signal to the current process

SYNOPSIS
#include <signal.h>

int raise (int sig);

DESCRIPTION
The raise function sends a signal to the current process. It is equivalent to

    kill(getpid(),sig)

RETURN VALUE
0 on success, nonzero for failure.

CONFORMING TO
ANSI-C

SEE ALSO
kill(2), signal(2), getpid(2)